summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author toolonely2021-03-05 23:31:07 +0100
committer Willy Sudiarto Raharjo2021-03-06 05:11:53 +0100
commitc399dd335d5adda2111b54ef2418606789adbba3 (patch)
tree416814aae45f2fecaee5db5b13e7c67863276e0d
parent14177a2124c0c923e7c3ef728118f956de7772aa (diff)
downloadslackbuilds-c399dd335d5adda2111b54ef2418606789adbba3.tar.gz
office/todo.txt-cli: Added (CLI frontend for todo.txt)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/todo.txt-cli/README13
-rw-r--r--office/todo.txt-cli/slack-desc19
-rw-r--r--office/todo.txt-cli/todo.txt-cli.SlackBuild66
-rw-r--r--office/todo.txt-cli/todo.txt-cli.info10
4 files changed, 108 insertions, 0 deletions
diff --git a/office/todo.txt-cli/README b/office/todo.txt-cli/README
new file mode 100644
index 0000000000..5dbb331bc2
--- /dev/null
+++ b/office/todo.txt-cli/README
@@ -0,0 +1,13 @@
+A simple and extensible shell script for managing your todo.txt file.
+
+After installing the package, copy the default config file to your home
+directory and adjust it accordingly, otherwise todo.txt-cli will
+misbehave:
+
+$ mkdir ~/.todo
+$ cp /etc/todo.cfg ~/.todo/config
+$ mkdir ~/todo
+
+Then edit ~/.todo/config:
+
+export TODO_DIR=/home/$USER/todo
diff --git a/office/todo.txt-cli/slack-desc b/office/todo.txt-cli/slack-desc
new file mode 100644
index 0000000000..ca569b6708
--- /dev/null
+++ b/office/todo.txt-cli/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+todo.txt-cli: todo.txt-cli (CLI frontend for todo.txt)
+todo.txt-cli:
+todo.txt-cli: A simple and extensible shell script for managing your todo.txt file.
+todo.txt-cli:
+todo.txt-cli:
+todo.txt-cli:
+todo.txt-cli:
+todo.txt-cli:
+todo.txt-cli:
+todo.txt-cli:
+todo.txt-cli:
diff --git a/office/todo.txt-cli/todo.txt-cli.SlackBuild b/office/todo.txt-cli/todo.txt-cli.SlackBuild
new file mode 100644
index 0000000000..84b762ba9b
--- /dev/null
+++ b/office/todo.txt-cli/todo.txt-cli.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for todo.txt-cli
+
+# Copyright 2021 toolonely <lonely_@tutanota.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=todo.txt-cli
+VERSION=${VERSION:-2.12.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m 0644 todo.cfg $PKG/etc/todo.cfg
+install -D -m 0755 todo.sh $PKG/usr/bin/todo.sh
+install -D -m 0644 todo_completion $PKG/usr/share/bash-completion/completions/todo_completion
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.md LICENSE README.md USAGE.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/todo.txt-cli/todo.txt-cli.info b/office/todo.txt-cli/todo.txt-cli.info
new file mode 100644
index 0000000000..aafacea2f3
--- /dev/null
+++ b/office/todo.txt-cli/todo.txt-cli.info
@@ -0,0 +1,10 @@
+PRGNAM="todo.txt-cli"
+VERSION="2.12.0"
+HOMEPAGE="https://github.com/todotxt/todo.txt-cli/"
+DOWNLOAD="https://github.com/todotxt/todo.txt-cli/archive/v2.12.0/todo.txt-cli-2.12.0.tar.gz"
+MD5SUM="e8d4edd8214b0d1df68667caa449a28c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="toolonely"
+EMAIL="lonely_@tutanota.com"